<?
require_once 'core/system.php';
require_once 'core/head.php';
$gift = mysql_fetch_assoc(mysql_query("SELECT * FROM `user_podarok` WHERE `user_id` = '$user[id]' order by `last_auth` desc limit 1"));

$time = $gift['last_auth'] + 84600;
$now = time();
echo "<table class='post'>";

if(isset($_GET['take'])){
if ($time < $now) {

echo "<div class='panelHint'>Поздравляем вы получили <b>10</b><img width='16' height='16' src='images/icon/gold.png' alt='o'> фикс</div></br>";
		mysql_query("UPDATE `user` SET `gold` = `gold` + '10' WHERE `id` = '$user[id]'");
if(mysql_result(mysql_query("SELECT count(user_id) from `user_podarok` where `user_id` = '".$user['id']."'"),0) == 0){
mysql_query("INSERT INTO `user_podarok` SET `last_auth` = '$now', `stage` = '1', `user_id` = '$user[id]'");
}else{
        mysql_query("UPDATE `user_podarok` SET `last_auth` = '$now', `stage` = `stage` + '1' WHERE `user_id` = '$user[id]'");
}

} else {
echo "</br></br>";
}
}


if ($time < $now) {
echo "<div class='block10t'><div class='panelInfo'><div class='panelInfoHeader'>Ежедневный подарок</div><div class='panelInfoContent'><div class='panelInfoLeftCornerDlass'><div class='panelInfoRightCornerDlass'><div class='center'>";
echo "
Один раз в сутки, у вас есть возможность получить бонус, в<br /> размере 10 <img width='16' height='16' src='images/icon/gold.png' alt='o'> фикс.<br /> Приятной игры.
<form action='bonus.php?take' method='post'><br/>
<input type='submit' class='button_xl' name='take' value='Забрать'/>
</form>";
echo '</div></div></div></div></div>';
} else {
$hour_t = ceil(($time - $now) / 3600);
if ($hour_t == 1 or $hour_t == 21) {
$hour = 'час';
} elseif ($hour_t >= 2 and $hour_t <= 4 or $hour_t >= 22 and $hour_t <= 24) {
$hour = 'часа';
} elseif ($hour_t >= 5 and $hour_t <= 20) {
$hour = 'часов';
}
echo "<div class='block10t'><div class='panelInfo'><div class='panelInfoHeader'>Ежедневный подарок</div><div class='panelInfoContent'><div class='panelInfoLeftCornerDlass'><div class='panelInfoRightCornerDlass'><div class='center'>Вы уже получали сегодня подарок.</br>Приходите через: <b>$hour_t $hour</b></div></div></div></div></div>";
}
echo "</table>";
include_once 'core/foot.php';
?>